Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ColourInterpolatorAffectorFactory Class Reference

Factory class for ColourInterpolatorAffector. More...

`#include <OgreColourInterpolatorAffectorFactory.h>`

Inheritance diagram for Ogre::ColourInterpolatorAffectorFactory:

[legend]
List of all members.

## Public Methods

virtual void | destroyAffector (ParticleAffector *e)
| Destroys the affector pointed to by the parameter (for early clean up if reauired).

## Protected Attributes

std::vector< ParticleAffector * > | mAffectors

## Private Methods

String | getName () const
| See ParticleAffectorFactory.
ParticleAffector * | createAffector (void)
| See ParticleAffectorFactory.

## Detailed Description

Factory class for ColourInterpolatorAffector.

Definition at line 35 of file OgreColourInterpolatorAffectorFactory.h.

## Member Function Documentation

ParticleAffector* Ogre::ColourInterpolatorAffectorFactory::createAffector | ( | void |  | ) | `[private, virtual]`

| See ParticleAffectorFactory. Implements Ogre::ParticleAffectorFactory. Definition at line 41 of file OgreColourInterpolatorAffectorFactory.h.

virtual void Ogre::ParticleAffectorFactory::destroyAffector | ( | ParticleAffector * | e | ) | `[virtual, inherited]`

| Destroys the affector pointed to by the parameter (for early clean up if reauired). Definition at line 74 of file OgreParticleAffectorFactory.h.

String Ogre::ColourInterpolatorAffectorFactory::getName | ( | void |  | ) | const`[private, virtual]`

| See ParticleAffectorFactory. Implements Ogre::ParticleAffectorFactory. Definition at line 38 of file OgreColourInterpolatorAffectorFactory.h. References Ogre::String.

## Member Data Documentation

std::vector<ParticleAffector*> Ogre::ParticleAffectorFactory::mAffectors`[protected, inherited]`

| Definition at line 48 of file OgreParticleAffectorFactory.h.

The documentation for this class was generated from the following file:

- OgreColourInterpolatorAffectorFactory.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:50 2004